# WAS_S2S: West Africa and the Sahel Seasonal to Subseasonal Forecasting Tool

![Modules in WAS_S2S](./modules.png)

**WAS_S2S** is a comprehensive tool developed to enhance the accuracy and reproducibility of seasonal forecasts in West Africa and the Sahel.
This initiative aligns with the World Meteorological Organization's (WMO) guidelines for objective, operational, and scientifically rigorous seasonal forecasting methods.


## Overview
The WAS_S2S tool is designed to facilitate the generation of seasonal forecasts using various statistical and machine learning methods. 
It provides a user-friendly jupyter-lab interface for data preparation, model training, and evaluation, making it accessible to both novice and experienced users.

## 🚀 Features

- ✅ **Automated Forecasting**: Streamlines the seasonal forecasting process, reducing manual interventions.
- 🔄 **Reproducibility**: Ensures that forecasts can be consistently reproduced and evaluated.
- 📊 **Modularity**: Highly modular tool. Users can easily customize and extend the tool to meet their specific needs.
- 🤖 **Exploration of AI and Machine Learning**: Investigates the use of advanced technologies to further improve forecasting accuracy.

## 📥 Installation

To install and set up the `WAS_S2S` tool, please follow the detailed instructions provided in the [WAS_S2S Training Documentation](https://hmandela.github.io/WAS_S2S_Training/).

## ⚙️ Usage

Comprehensive usage guidelines, including data preparation, model configuration, and execution steps, are available in the [WAS_S2S Training Documentation](https://hmandela.github.io/WAS_S2S_Training/).

## 🤝 Contributing

We welcome contributions from the community to enhance the `WAS_S2S` tool. Please refer to our [contribution guidelines](CONTRIBUTING.md) for more information.

## 📜 License

This project is licensed under the [MIT License](LICENSE).

## Contact

For questions or support, please open a [Github issue](https://github.com/hmandela/WAS_S2S/issues).

## Credits

- scikit-learn: [scikit-learn](https://scikit-learn.org/stable/)
- EOF analysis: [xeofs](https://github.com/xarray-contrib/xeofs/tree/main) 
- xcast: [xcast](https://github.com/kjhall01/xcast/)
- xskillscore: [xskillscore](https://github.com/xarray-contrib/xskillscore)
- ... and many more!

## 🙌 Acknowledgments
I would like to express my gratitude to the participants of the action-training on the new generation of seasonal forecasts in West Africa and the Sahel. Your feedback has greatly contributed to the improvement of this tool. I hope to continue receiving your insights and, if possible, your contributions. A seed has been planted within you… now, let’s grow it together.

We extend our gratitude to the AICCRA project for supporting the development and to Dr Abdou ALI Head of AGRHYMET RCC-WAS Climate-Water-Meteorlogy Department.
---

📖 For more detailed information, tutorials, and support, please visit the [WAS_S2S Training Documentation](https://hmandela.github.io/WAS_S2S_Training/).

